<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>TODO supply a title</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    </head>
    <body>
        <script type="text/javascript">
            
            function funcionBreve(){
                //esta funcion siempre retorna una frase
                return "No tengo mision";
            };
            
            //Esta funcion suma uno a cualquier numero 
            function sumaUno(numero){
                numero+=1;
                return numero;
            };
            
            //Esta son las variables que se afectaran
            var primerNumero = 19;
            var segundoNumero = 2;
            
            //Aqui se usa el primer numero
            alert("El primerNumero es: "+primerNumero);
            alert("Ahora primerNumero es: "+sumaUno(primerNumero));
            
            //Aqui se usa el segundo numero
            alert("El segundoNumero es: "+segundoNumero);
            alert("Ahora segundoNumero es: "+sumaUno(segundoNumero));
            
            
            alert("esta es la funcionBreve: "+funcionBreve());
            
            //La siguiente funcion tiene dos argumentos y retorna
            function promedio(num1, num2){
                //Aqui se halla el promedio entre ambos numeros y se retorna
                return (num1+num2)/2;
            }
            
            //a continuacion su declaracion
            alert("el promedio entre 5 y 9 es: "+promedio(5,9));
            
            
            //La siguente funcion no tiene ningun tipo de retorno
            function funcionVacia(){
                alert("Hola, solamente se saludar");
            }
            
            //Ahora sera declarada
            funcionVacia();
            
        </script>
    </body>
</html>
